> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-formatowana-zwijana-rollabletextcontent.md).

# Formatted content (collapsible) - RollableTextContent

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

Component used to present an artifact **Content** with collapse/expand option (used e.g. to display a legal notice).

![](/files/5f9a0d28646d15a82d9b690f584a06762cf6cc3d)

## Component properties

| Eximee Designer property                                 | Attribute name in the Source | Description                                                                                                                                                                                                                                                      |
| -------------------------------------------------------- | ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Field height** (section **Basic properties**)          | contentHeight                | Component height (default set to 200). If all the text does not fit in the component, a vertical scroll bar is added. Availability of the feature depends on the license and may not be available in all deployments.                                            |
| **Field title** (section **Basic properties**)           | contentTitle                 | Title displayed at the top of the component (empty by default). Clicking the title collapses/expands the component content.                                                                                                                                      |
| **Field content display** (section **Basic properties**) | contentDefaultVisible        | Showing the component content (by default the property is selected - the value is set to "true"). If the property is unchecked (value "false"), the component content is collapsed and will be displayed after clicking the expand arrow or the component title. |

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

If, in the inserted artifact **Content** the expression has been used **/more/**, a "Show more" button will be displayed in the component at this place (clicking it will display the hidden part of the content).

## Binding the content source in the component

To display content in the component, you need to select the artifact created earlier **Content** (artifact creation is described in: [Creating and binding the Content artifact](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/tworzenie-i-podpiecie-artefaktu-tresc.md)).

{% stepper %}
{% step %}

#### Select a component

After selecting the component **Formatted content (collapsible)** go in the panel **Properties** to the section **Interactions**.
{% endstep %}

{% step %}

#### Select an external data source

In the field **EXTERNAL DATA SOURCE** click **Select a service** and connect the service *TextContentService* (service binding description: [Example of binding the service in the component](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/zasilanie-wartosciami-z-zewnetrznych-zrodel/przyklad-podpiecia-w-komponencie-uslugi.md)).
{% endstep %}

{% step %}

#### Specify the input parameter and output mappings

As the input parameter "artifact" after clicking the option **Choose a component or a constant** select the appropriate artifact **Content**, and in the output parameters map the appropriate attributes to the service output parameters.
{% endstep %}
{% endstepper %}

![Figure 1. Example appearance of the component in the application (content collapsed)](/files/e74445568d33b105364d76e4857c9cfc1c13bf1a)

![Figure 2. Example appearance of the component in the application (content expanded)](/files/14e199656688723034c5388af4b88848a924db11)

{% hint style="info" %}
Demo application: demoRollableTextContent
{% endhint %}

{% hint style="info" %}
♿WCAG: [Good WCAG practices for low-code dev](/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-formatowana-zwijana-rollabletextcontent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
